<template>
  <v-row>
    <v-col cols="12" md="6" xl="12" v-if="role == 'Admin'">
      <v-text-field
        label="ชื่อ"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.firstName"
      ></v-text-field>
    </v-col>
    <v-col cols="12" md="6" xl="12" v-if="role == 'Admin'">
      <v-text-field
        label="นามสกุล"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.lastName"
      ></v-text-field>
    </v-col>
    <v-col cols="12" md="6" xl="12">
      <v-select
        label="ค้นหาสถานะ"
        outlined
        rounded
        prepend-inner-icon="search"
        item-text="name"
        item-value="value"
        :items="itemStatus"
        v-model="objLocal.status"
      ></v-select>
    </v-col>
    <v-col cols="12" md="6" xl="12">
      <v-text-field
        label="ค้นหาชื่อสถานที่"
        outlined
        rounded
        v-model="objLocal.locateName"
        prepend-inner-icon="search"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="3" xl="12">
      <v-text-field
        label="ค้นหาตำบล"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.subDistrict"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="3" xl="12">
      <v-text-field
        label="ค้นหาอำเภอ/แขวง"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.district"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="3" xl="12">
      <v-text-field
        label="ค้นหาจังหวัด"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.province"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="3" xl="12">
      <v-text-field
        label="ค้นหารหัสไปรษณีย์"
        outlined
        rounded
        v-model="objLocal.postalCode"
      ></v-text-field>
    </v-col>
  </v-row>
</template>

<script>
import { index } from "../../json/index";
export default {
  props: ["obj", "role"],
  model: {
    prop: "obj",
    event: "objChange",
  },
  data() {
    return {
      itemStatus: index.ITEM_STATUSLOCATION,
    };
  },
  computed: {
    objLocal: {
      get: function () {
        return this.obj;
      },
      set: function (value) {
        this.$emit("objChange", value);
      },
    },
  },
};
</script>

<style>
</style>